[SA18654] libpng "png_set_strip_alpha()" Buffer Overflow Vulnerability

2006-02-01T00:00:00
ID SECURITYVULNS:DOC:11260
Type securityvulns
Reporter Securityvulns
Modified 2006-02-01T00:00:00

Description

TITLE: libpng "png_set_strip_alpha()" Buffer Overflow Vulnerability

SECUNIA ADVISORY ID: SA18654

VERIFY ADVISORY: http://secunia.com/advisories/18654/

CRITICAL: Moderately critical

IMPACT: DoS, System access

WHERE: >From remote

SOFTWARE: libpng 1.x http://secunia.com/product/3439/

DESCRIPTION: A vulnerability has been reported in libpng, which can be exploited by malicious people to cause a DoS (Denial of Service) against applications using libpng or potentially compromise a vulnerable system.

The vulnerability is caused due to a boundary error in the "png_set_strip_alpha()" function within the handling of a PNG image file containing alpha channels. This can be exploited to cause a heap-based buffer overflow via a specially-crafted PNG file.

Successful exploitation requires that the application is written to strip the alpha channel from a PNG file.

The vulnerability has been reported in versions 1.0.16, 1.0.17, 1.2.6, and 1.2.7.

SOLUTION: Update to version 1.0.18 or 1.2.8. http://www.libpng.org/pub/png/libpng.html

PROVIDED AND/OR DISCOVERED BY: Reported by vendor.

ORIGINAL ADVISORY: Red Hat Bugzilla: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=179455


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.